# OESEGLImageExternal (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class OESEGLImageExternal

    java.lang.Object
      org.lwjgl.opengles.OESEGLImageExternal

    public final class OESEGLImageExternal

extends java.lang.Object

Field Summary
`static int` `GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES` Accepted as <value> in GetTexParameter*() queries:
`static int` `GL_SAMPLER_EXTERNAL_OES` Returned in the <type> parameter of GetActiveUniform:
`static int` `GL_TEXTURE_BINDING_EXTERNAL_OES` Accepted as <value> in GetIntegerv() and GetFloatv() queries:
`static int` `GL_TEXTURE_EXTERNAL_OES` Accepted as a target in the <target> parameter of BindTexture and EGLImageTargetTexture2DOES:

Method Summary
`static void` `glEGLImageTargetTexture2DOES(int target, EGLImageOES image)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_EXTERNAL_OES

    public static final int GL_TEXTURE_EXTERNAL_OES

  Accepted as a target in the <target> parameter of BindTexture and EGLImageTargetTexture2DOES:

  See Also:
    Constant Field Values

### GL_SAMPLER_EXTERNAL_OES

    public static final int GL_SAMPLER_EXTERNAL_OES

  Returned in the <type> parameter of GetActiveUniform:

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_EXTERNAL_OES

    public static final int GL_TEXTURE_BINDING_EXTERNAL_OES

  Accepted as <value> in GetIntegerv() and GetFloatv() queries:

  See Also:
    Constant Field Values

### GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES

    public static final int GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES

  Accepted as <value> in GetTexParameter*() queries:

  See Also:
    Constant Field Values

Method Detail

### glEGLImageTargetTexture2DOES

    public static void glEGLImageTargetTexture2DOES(int target,
                                                    EGLImageOES image)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.